@charset "UTF-8";

html {
    font-size: 100%;
}

html,
body {
    overflow-x: hidden;
}

:root {
    --ff-main: "M PLUS 2", system-ui, sans-serif;
}

img {
    width: 100%;
}

ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

a {
    text-decoration: none;
}

/* body */
body {
    background-image:
        linear-gradient(rgba(240, 226, 197, 0.25), rgba(240, 226, 197, 0.25)),
        url("../img/01-main/sand-bg_2.png");
    margin: 0;
    padding: 0;
}

.container {
    max-width: 1000px;
    margin: 0 auto;
    display: flex;
    justify-content: center;
}

h1,
h2,
h3,
p {
    margin: 0;
    padding: 0;
}

dl,
dt,
dd {
    margin: 0;
    padding: 0;
}

/* header */

header {
    display: flex;
    align-items: center;
    position: relative;
    z-index: 10;

}

.site-logo {
    position: fixed;
    top: 20px;
    left: 20px;
    z-index: 20;
}

.site-logo img {
    width: 120px;
    height: auto;
}

.hamburger {
    width: 30px;
    height: 32px;
    position: fixed;
    display: flex;
    border: 0;
    background: transparent;
    cursor: pointer;
    z-index: 70;
    top: 64px;
    right: 40px;
}

.hamburger span {
    position: absolute;
    left: 0;
    width: 100%;
    height: 2px;
    background: #121212;
    transition: .3s;
}

.hamburger span:nth-child(1) {
    top: 6px;
}

.hamburger span:nth-child(2) {
    top: 15px;
}

.hamburger span:nth-child(3) {
    top: 24px;
}

header.open .hamburger span:nth-child(2) {
    opacity: 0;
}

header.open .hamburger span:nth-child(1) {
    top: 15px;
    transform: rotate(45deg);
    background: #fff;
}

header.open .hamburger span:nth-child(3) {
    top: 15px;
    transform: rotate(-45deg);
    background: #fff;
}

.global-nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 360px;

    height: 100vh;
    background: #d6e4ea;
    color: #fff;
    padding: 90px 25px;
    overflow-y: auto;
    transform: translateX(-100%);
    transition: transform .3s ease;
    z-index: 60;
}

.global-nav a {
    color: #4fc3d8;
    display: block;
    margin-bottom: 20px;
    border-bottom: 1px solid #3f8fb3;
    padding: 20px 0;
    transition: color .27s ease;
}

.global-nav a:hover {
    color: #f4a261;
}

header.open .global-nav {
    transform: translateX(0);
}

.mask {
    position: fixed;
    inset: 0;
    background: rgba(10, 20, 30, 0.55);
    display: none;
    z-index: 40;
}


header.open .mask {
    display: block;
}

header.open .hamburger {
    left: 350px;
    right: 20px;
    top: 20px;
    z-index: 100;
}

/* main */
main {
    padding-top: 100px;
}

.hero-title {
    text-align: center;
    font-size: 40px;
    font-weight: 700;
    margin-top: 50px;
    opacity: 0;
    transform: translateY(16px);
    transition: opacity .9s ease, transform .9s ease;
}

.hero-title.is-show {
    opacity: 1;
    transform: translateY(0);
}

.hero-sub {
    text-align: center;
    font-size: 20px;
    margin: 15px;
    font-weight: 500;
    opacity: 0;
    transform: translateY(16px);
    transition: opacity .9s ease, transform .9s ease;
}

.hero-sub.is-show {
    opacity: 1;
    transform: translateY(0);
}

.sub-sp {
    display: none;
}

.sp-only {
    display: none;
}

.wave {
    color: #3cbceb;
}

.sun {
    color: #ee0013;
}

figure.beer {
    margin: 0;
    padding: 0;

}

.hero-beers {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    margin: 40px auto 0;

}

.beer {
    opacity: 0;
    transform: translateY(-120px);
    transition: transform .55s cubic-bezier(.2, .9, 2, 1, .25), opacity .25s ease;
    will-change: transform, opacity;
    position: relative;
}

.beer.is-show {
    opacity: 1;
    transform: translateY(0);
}

.beer img {
    display: block;
    height: auto;
    position: relative;
}


.beer {
    opacity: 0;
    transform: translateY(-500px);
    will-change: transform, opacity;
    position: relative;
    transition:
        transform .4s cubic-bezier(.3, 1.6, .6, 1),
        opacity .25s ease;

}

.beer.is-show {
    opacity: 1;
    transform: translateY(0);
}


.beer-center {
    z-index: 3;
}

.beer-left {
    z-index: 1;
}

.beer-right {
    z-index: 1;
}

.beer-left img {
    transform: rotate(10deg);

}

.beer-center img {
    transform: rotate(0deg);

}

.beer-right img {
    transform: rotate(-10deg);

}

.about {
    max-width: 1000px;
    margin: 160px auto;
}

.about-inner {
    background: rgba(255, 250, 240, 0.88);
    padding: 40px 50px;
    border-radius: 20px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.08);
    border: 1px solid rgba(0, 0, 0, 0.05);
    margin: 10px;
}

.about-title {
    margin-bottom: 20px;
    font-size: 25px;
}

.about-lead {
    margin-bottom: 20px;
    line-height: 1.8;
}

.about-block {
    margin-bottom: 20px;
}

.about-list li {
    padding: 5px 0px;
}

.about-subtitle {
    font-weight: 600;
}

.about-sp {
    display: none;
}

.js-reveal {
    opacity: 0;
    transform: translateY(var(--y, 16px));
    transition:
        transform var(--dur, .6s) cubic-bezier(.2, .9, .2, 1),
        opacity .35s ease;
    will-change: transform, opacity;
}


.js-reveal.is-show {
    opacity: 1;
    transform: translateY(0);
}

.lead-em {
    margin-top: 48px;
}

.feature {
    text-align: center;
    margin-top: 100px;
}

.feature-bgtext {
    font-size: 170px;
    font-weight: 700;
    color: transparent;
    -webkit-text-stroke: 2px rgba(255, 255, 255, 0.4);
    letter-spacing: 0.1em;
}

.concept-inner {
    margin: 100px auto;
    max-width: 1000px;
    padding: 20px;

}

.nami-video {
    width: 100%;
    margin: 80px 0;

}

.nami-video video {
    width: 100%;
    height: auto;
    display: block;

}

.concept-title {
    margin-bottom: 70px;
    font-size: 40px;
    font-weight: 700;
}

.concept-blok {
    gap: 200px;

}

.feature-left {
    width: 40%;
}



.feature-title {
    padding-bottom: 30px;
    font-size: 26px;
    font-weight: bold;
}

.feature-text {
    font-size: 21px;
    font-weight: 500;
    line-height: 2.3;
}

.process-right {
    width: 40%;
}

.process-title {
    padding-bottom: 30px;
    font-size: 26px;
    font-weight: bold;
}

.process-number {
    font-size: 24px;
    font-weight: 700;
    padding: 20px 0px 10px 0px;
}

.process-label {
    padding-left: 10px;
}

.process-summary {
    font-size: 20px;
    font-weight: 500;
    line-height: 1.7;
}

.developer {
    margin: 100px auto;
    max-width: 1000px;
    padding: 20px;
}

.developer-title {
    font-size: 34px;
    font-weight: 500;
    margin-bottom: 70px;
}

.developer-inner {
    gap: 70px;
}

.developer-lead {
    font-size: 26px;
    font-weight: bold;
    line-height: 2;
    width: 50%;

}

.developer-lead-line {
    display: inline-block;
    position: relative;
    padding-bottom: 10px;
}

.developer-lead-line::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 3px;
    background-color: #000;
    transform: scaleX(0);
    transform-origin: left;
    transition: transform .6s ease;
}

.is-show.developer-lead-line.js-reveal::after {
    transform: scaleX(1);
}

.developer-text {
    width: 50%;
}

.developer-text p {
    font-size: 20px;
    font-weight: 500;
    line-height: 2.3;
}

.ocean-bg {
    width: 100%;
}

.ocean-bg img {
    height: auto;
    display: block;
}

.ocean-bg.js-reveal {
    --y: 24px;
    --dur: 1.5s;
}

.turtle-area {
    margin-top: 300px;
    gap: 80px;
    padding: 10px;
    border: 3px solid #1212;
}

.turtle-item {
    width: 50%;
}

.turtle-title {
    font-size: 34px;
    font-weight: 500;
    margin-bottom: 70px;
}

.sp-turtle {
    display: none;
}

.turtle-text {
    font-size: 20px;
    font-weight: 500;
    line-height: 2.3;
}

.turtle-image {
    max-width: 280px;
    height: auto;
    display: block;
    max-height: 250px;
    margin-top: 150px;
    transform: rotate(-2deg);
}

.blue-hour {
    max-width: 1500px;
    margin: 100px auto 0;
    display: flex;
    justify-content: center;
    padding: 120px 30px;
}

.blue-hour-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 40%;
    align-self: center;
    position: relative;
    z-index: 2;
}

.blue-hour-text-wrap {
    background: rgba(8, 20, 40, 0.65);
    border: 1px solid rgba(255, 255, 255, 0.25);
    border-radius: 16px;
    padding: 40px;
    color: #fff;
    margin-top: 70px;
    margin-right: -100px;
    position: relative;
    z-index: 2;
    -webkit-backdrop-filter: blur(4px);
    backdrop-filter: blur(4px);
}

.sp-blue {
    display: none;
}

.lue-hour-title {
    padding-bottom: 20px;
}

.blue-hour-visual {
    width: 70%;
    position: relative;
    overflow: hidden;
    border-radius: 14px;
    box-shadow: 0 20px 40px rgba(0, 0, 0, 0.25);
    z-index: 1;
}

.blue-hour-visual img {
    width: 110%;
    max-width: none;
    display: block;

}

.fade-up {
    opacity: 0;
    transform: translateY(40px);
    transition: all 1s ease;
}

.fade-up.is-show {
    opacity: 1;
    transform: translateY(0);
}

.blue-hour-visual::after {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(to bottom,
            rgba(8, 20, 40, 0.08),
            rgba(8, 20, 40, 0.28));
    pointer-events: none;
}


.gallery {
    overflow: hidden;
    margin-top: 100px;
}

.gallery-track {
    display: flex;
    width: max-content;
    animation: gallery-scroll 40s linear infinite;

}


.gallery-grid {
    display: grid;
    grid-template-columns: repeat(6, 180px);
    grid-auto-rows: 120px;
    gap: 5px;
}

.gallery-item {
    overflow: hidden;
    margin: 0;
}

.gallery-item:nth-child(3n) {
    grid-column: span 2;
    grid-row: span 2;
}

.gallery-item:nth-child(4n) {
    grid-column: span 3;
}

.gallery-item:nth-child(5n) {
    grid-column: span 2;
}

.gallery-item img {
    height: 100%;
    object-fit: contain;
    display: block;
    object-position: center;

}

@keyframes gallery-scroll {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(-20%);
    }
}

.btn-primary {
    margin: 100px auto;
    display: flex;
    align-items: center;
    display: block;
    text-align: center;
    font-size: 25px;
    font-weight: 600;
    line-height: 2.5;
    width: min(660px, 50%);
    padding: 36px 25px;
    background: #2f6f8f;
    border-radius: 25px;
    color: #fff;
    box-shadow: 0 6px 0px #1f4f68;
    transition: background .25s ease, transform .25s ease, box-shadow .25s ease;
}

.btn-primary:hover {
    background: #3f8fb3;
    transform: translateY(-3px);
    box-shadow: 0 9px 0 #2a6f8c;
}

.Privacy {
    color: #fff;
    border: 1px solid #121212;
    padding: 20px 23px;
    background: #2f6f8f;
    border-radius: 25px;
    margin: 100px auto;
    display: flex;
    align-items: center;
    display: block;
    text-align: center;
    width: 200px;

}

/* footer */
footer {
    background-color: #fff;
}

.site-end {
    max-width: 1000px;
    margin: 0 auto;
    display: flex;
    justify-content: center;
}

.brand-info {
    margin: 100px 0px 0px 20px;
    justify-content: space-between;
    align-items: flex-start;
    width: 50%;
}

.brand-info p {
    padding-bottom: 10px;
}

.brand-info img {
    width: 20%;
}

.company-link {
    color: #000;

}

.company-note {
    padding-top: 10px;
    font-weight: 600;
}

.alcohol-note {
    font-weight: 500;
}

.sns-area {
    margin-left: auto;
    margin-top: 250px;
}

.sns-list img {
    width: 30px;
    display: block;
}

.sns-list span {
    color: #000;
}

.sns-list a {
    align-items: center;
    display: flex;
}

.sns-list li {
    padding-top: 20px;
}

.sns-list span {
    padding-left: 10px;
}

.copyright {
    margin-top: 150px;
    text-align: center;
    font-size: 12px;
}

.floating-cart {
    position: fixed;
    right: 24px;
    bottom: 100px;

    width: 56px;
    height: 56px;
    display: grid;
    place-items: center;
    background: #2fa4bd;
    border-radius: 50%;
    z-index: 7;
    transition: 0.5s;
}

.floating-cart:hover {
    background: #4fc3d8;
    transform: translateY(-2px);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
}

.floating-cart img {
    width: 60%;
    height: auto;
    display: block;
}

.wave-icon {
    position: fixed;
    left: 0;
    bottom: -200px;
    width: 100%;
    height: 370px;
    z-index: 5;
    background-image: url(../img/01-main/wave-1.png);
    background-repeat: repeat-x;
    background-size: auto 100%;
    background-position: 0 100%;
    animation:
        wave-move 18s linear infinite,
        wave-float 5s ease-in-out infinite;
}

@keyframes wave-move {
    from {
        background-position-x: 0;
    }

    to {
        background-position-x: -800px;
    }
}

@keyframes wave-float {

    0%,
    100% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-49px);
    }
}

@media (max-width: 1200px) {
    .blue-hour {

        flex-direction: column;
    }

    .blue-hour-content {
        width: 80%;
        align-self: stretch;
        margin-bottom: 20px;
    }

    .blue-hour-text-wrap {
        width: 100%;
        margin-right: 0;
        margin-top: 0;
        box-sizing: border-box;
    }

    .blue-hour-visual {
        width: 100%;
    }

}

@media(max-width: 995px) {

    .developer-lead {
        font-size: 20px;
    }

    .turtle-area {
        border: 0px solid #1212;
    }
}



@media(max-width: 768px) {
    .global-nav {
        width: 250px;
    }

    header.open .hamburger {
        left: 240px;
        right: 20px;
        top: 20px;
        z-index: 100;
    }

    .container {
        flex-direction: column;
    }

    .hero-sub {
        font-size: 17px;
    }



    .about-inner {
        padding: 20px 40px;

    }

    .about-sp {
        display: inline;
    }

    .sp-only {
        display: block;
    }


    .feature-bgtext {
        font-size: 80px;
        padding: 20px;
    }

    .concept-title {
        text-align: center;
    }


    .feature-left {
        width: 100%;
        margin: 0 auto;
    }

    .process-title {
        padding-left: 6px;
    }

    .process-right {
        width: 100%;
    }

    .process-list {
        display: grid;
        grid-template-columns: 1fr;

    }

    .process-item {
        padding: 12px;
    }

    .developer-lead {
        width: 100%;
        text-align: left;
    }

    .developer-text {
        width: 100%;
    }


    .turtle-title {
        font-size: 30px;
        text-align: center;

    }

    .turtle-item {
        width: 100%;

    }

    .turtle-text {
        width: 80%;
        margin: 0 auto;
    }

    .turtle-image {
        margin-left: auto;
        margin-top: 20px;
    }

    .turtle-area {
        gap: 10px;
    }

    .brand-info {
        padding: 20px;
    }

    .site-end {
        flex-direction: column;
        align-items: center;
    }

    .sns-area {

        margin-top: 50px;
    }
}

@media(max-width: 705px) {
    .sp-blue {
        display: inline;
    }

    .sp-turtle {
        display: inline;
    }

    .turtle-title {
        font-size: 28px;
    }
}

@media(max-width: 645px) {
    .sub-sp {
        display: inline;
    }



}


@media(max-width: 600px) {

    .site-logo img {
        width: 70px;
        height: auto;
    }

    .hero-title {
        text-align: center;
        font-size: 25px;
        font-weight: 700;

    }

    .brand-info img {
        width: 65px;
    }

    .lue-hour-title {
        font-size: 20px;
    }

    .blue-hour-text-wrap {
        padding: 20px;
    }

}

@media(max-width: 452px) {
    .btn-primary {
        margin: 100px auto;
        font-size: 20px;
        font-weight: 600;

        width: min(660px, 50%);
        padding: 16px 15px;

    }
}


@media(max-width: 517px) {
    .hero-title {
        font-size: 25px;
    }


    .feature-text {
        font-size: 18px;
    }

    .process-summary {
        font-size: 18px;
    }

    .concept-title {
        font-size: 30px;
    }

    .developer-lead-line {
        font-size: 18px;
    }

    .developer-text p {
        font-size: 18px;
    }

    .turtle-text {
        font-size: 18px;
    }


}